task teprof_s2 {
    String sample_id
    File bam_file
    File filter_combined_candidates
    String disk_size
    String docker
    String cluster

    command <<<
	
        set -o pipefail
        set -e

        mkdir filterreadstats
        cp ${bam_file} ./
        samtools index -b -@ 16 ${sample_id}.Aligned.sortedByCoord.out.bam
        now_path=`pwd`
        python /database/rnapipelinerefhg38/rnapipeline/commandsmax_speed.py ${filter_combined_candidates} $now_path/
        grep ${sample_id} filterreadcommands.txt > ${sample_id}_filterreadcommands.txt
        parallel -j 16 < ${sample_id}_filterreadcommands.txt
        mv filterreadstats ${sample_id}_filterreadstats
        tar -zcvf ${sample_id}_filterreadstats.tgz ${sample_id}_filterreadstats

    >>>
	
    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File filterreadcommands = "${sample_id}_filterreadcommands.txt"
        File filterreadstats = "${sample_id}_filterreadstats.tgz"
    }

}

